// Shaderfile for Drezil's and apath0's jumpmap 'ikarus'


//===LIGHT===

textures/ikarus_sfx/beam_white
{
        qer_editorimage textures/ikarus_sfx/beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/ikarus_sfx/beam.tga
		tcMod Scroll .3 0
                blendFunc add
        }

}

textures/ikarus_light/redlight
{
	qer_editorimage textures/ikarus_light/redlight-qer.tga
	q3map_surfacelight 10000
	q3map_lightsubdivide 32
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	{
		map textures/ikarus_light/redlight.tga
		rgbgen identity
		tcmod scroll 0 -0.2

	}
//	{
//		map $lightmap
//		blendfunc filter
//	}
	{
		map textures/ikarus_light/redlight-blend.tga
		blendfunc add
	}
}

textures/ikarus_light/yellow_light
{
	qer_editorimage textures/ikarus_light/yellow_light.tga
	q3map_surfacelight 7500
	q3map_lightsubdivide 32
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	cull none
	{
		map textures/ikarus_light/yellow_light.tga
		rgbgen identity
		blendfunc blend
	}
}

textures/ikarus_light/corona
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull none
          {
            clampmap textures/ikarus_light/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}


textures/ikarus_walls/buildingshighrise0051_3_s {
	qer_editorimage textures/ikarus_walls/buildingshighrise0051_3_s.tga
	q3map_surfacelight 50
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_walls/buildingshighrise0051_3_s.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//===PORTALS===

textures/ikarus_sfx/cell_mirror
{
	qer_editorimage textures/ikarus_sfx/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ikarus_sfx/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/ikarus_sfx/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}


textures/ikarus_sfx/monitor
{
	qer_editorimage textures/ikarus_sfx/mirror1.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ikarus_sfx/mirror.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		alphaGen portal 1600
    }
}
//===BANNERS===


//===TRANSPARENT STUFF===

textures/ikarus_misc/glass_clear
{
	qer_editorimage textures/ikarus_sfx/tinfx2.tga
	qer_trans 0.5
	surfaceparm playerclip
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ikarus_sfx/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}


//===LIQUIDS===

//Water based on Slicey's Water-shader from vertigo
textures/ikarus_liquids/water_shader
{
	qer_editorimage	textures/ikarus_liquids/water
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1 0.3 0.5
    {
        map textures/ikarus_liquids/water.jpg
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 0.4 0.4 0.4 )
        alphaFunc GE128
	alphaGen const 1.0
	tcmod scroll 0 -0.25
    }
    {
	map textures/ikarus_liquids/cubemap.jpg
	tcGen environment
	rgbGen const ( 0.4 0.3 0.3 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/ikarus_liquids/cubemap.jpg
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}


//Water based on ramelle's foamy seawater

textures/ikarus_liquids/foamyseawater
{
	qer_editorimage textures/ikarus_liquids/foamyseawater.tga
	qer_trans 0.75
	q3map_fancywater 10 0.2 0.08 0.09
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm fog
	sort 8 
	fogparms ( 0.09 0.09 0.0 ) 768
	q3map_cloneshader textures/ikarus_liquids/foamyseawater2

	{
		map textures/ikarus_liquids/foamyseawater.tga
//		blendfunc GL_ONE GL_SRC_ALPHA
		blendfunc blend
		tcMod turb 0.1 0.1 0.1 .1
	}
	{
		map textures/ikarus_liquids/foamyseawater.tga
//		blendfunc GL_ONE GL_SRC_ALPHA
		blendfunc blend
		tcMod turb 0 0.1 1 .1
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ikarus_liquids/foamyseawater2
{
	qer_editorimage textures/ikarus_liquids/foamyseawater.tga
//	q3map_nofancywater
	qer_trans 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
//	surfaceparm nolightmap
	surfaceparm nomarks
	sort 8 
//changed from filter to blend
	{
		map textures/ikarus_liquids/foamyseawater.tga
		rgbGen identity
		//blendfunc blend
		tcMod turb 0.1 0.1 0.1 .1
	}
	{
		map $lightmap
		blendfunc blend
	}
}

//waterfall from prague

textures/ikarus_liquids/waterfall
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
//	q3map_surfacelight 10
	surfaceparm nomarks
	sort 9
	{
		map textures/ikarus_liquids/waterfall.tga
		tcMod Scroll 0 -4
		blendFunc blend
		//maybe blendfunc add?
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//==NON-HURTING STUFF

//non hurting ladder
textures/ikarus_sfx/ladder
{
	  qer_editor_image textures/common/ladder.tga
	  qer_trans 0.40
        surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm trans
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm ladder
}

//slick cushion
textures/ikarus_sfx/slick_nodamage
{
	qer_editorimage	textures/ikarus_sfx/slick_nodamage.tga
	qer_trans 0.50
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

//non-hurting crackled ground
textures/ikarus_floor/crackled_ground
{
	qer_editorimage textures/ikarus_floor/crackled_ground.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_floor/crackled_ground.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting gravel
textures/ikarus_terrain/rock072
{
	qer_editorimage textures/ikarus_terrain/rock072
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_terrain/rock072
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting wall
textures/ikarus_walls/wall066
{
	qer_editorimage textures/ikarus_walls/wall066
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_walls/wall066
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting wills asphalt
textures/ikarus_floor/will_road_asphalt
{
	qer_editorimage textures/ikarus_floor/will_road_asphalt
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_floor/will_road_asphalt
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting concrete
textures/ikarus_floor/concrete020
{
	qer_editorimage textures/ikarus_floor/concrete020
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_floor/concrete020.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting wall
textures/ikarus_walls/wall008
{
	qer_editorimage textures/ikarus_walls/wall008
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_walls/wall008
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting concrete
textures/ikarus_floor/keres_tile_01_red
{
	qer_editorimage textures/ikarus_floor/keres_tile_01_red
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_floor/keres_tile_01_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting floor
textures/ikarus_floor/r_concrete12
{
	qer_editorimage textures/ikarus_floor/r_concrete12
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_floor/r_concrete12.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/ikarus_misc/fs_box4_top1 {
	qer_editorimage textures/ikarus_misc/fs_box4_top1.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_misc/fs_box4_top1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting wall
textures/ikarus_walls/wall020
{
	qer_editorimage textures/ikarus_walls/wall020
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_walls/wall020
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting woodplanks
textures/ikarus_misc/wood011
{
	qer_editorimage textures/ikarus_misc/wood011
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_misc/wood011
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting metal
textures/ikarus_misc/metal
{
	qer_editorimage textures/ikarus_misc/metal.tga
	surfaceparm nodamage

        {
                map textures/ikarus_sfx/tinfx.tga
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/ikarus_misc/metal.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//non-hurting checkerplate by trak
textures/ikarus_floor/trak2_plate2b
{
	qer_editorimage textures/ikarus_floor/trak2_plate2b.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_floor/trak2_plate2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//non-hurting wall
textures/ikarus_walls/sw_patch10
{
	qer_editorimage textures/ikarus_walls/sw_patch10.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_walls/sw_patch10.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//===MISC STUFF===

textures/ikarus_detail/r_razorwire1
{
	qer_editorimage textures/ikarus_detail/r_razorwire1.tga
	cull disable
	{
		map textures/ikarus_detail/r_razorwire1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_walls/black
{
	qer_editorimage textures/ikarus_walls/black.jpg
	q3map_surfacelight -5000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ikarus_walls/black.jpg
		rgbgen identity
	}
}

textures/ikarus_misc/arrow
{
	qer_editorimage textures/ikarus_misc/arrow.tga
	surfaceparm nonsolid
	cull front
	{
		map textures/ikarus_misc/arrow.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_misc/checkerplate
{
        surfaceparm nodamage
        surfaceparm nomarks
        qer_editorimage textures/ikarus_misc/checkerplate.tga
        {
		map textures/ikarus_misc/sk8s_chrome_tint.tga
                tcGen environment
                rgbGen identity
	}
        {
                map textures/ikarus_misc/checkerplate.tga
                tcMod scale 8 8
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/ikarus_misc/brightmetal
{
	qer_editorimage textures/ikarus_misc/metal_bright.jpg
	surfaceparm nodamage
	surfaceparm slick
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}
        {
		map textures/ikarus_misc/metal_bright.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ikarus_misc/window003
{
	qer_editorimage textures/ikarus_misc/photorealistic_window003.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	q3map_lightsubdivide 32
	{
		map textures/ikarus_sfx/tinfx.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/ikarus_misc/photorealistic_window003.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}

textures/ikarus_misc/window003-transp
{
	qer_editorimage textures/ikarus_misc/photorealistic_window003.tga
	qer_trans 0.7
	surfaceparm nomarks
	surfaceparm trans
//	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ikarus_misc/photorealistic_window003.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_detail/window034
{
	qer_editorimage textures/ikarus_detail/window034.tga
	qer_trans 1
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbgen identity
	}
	{
		map textures/ikarus_detail/window034.tga
		alphaFunc GE128
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_detail/window034-transp
{
	qer_editorimage textures/ikarus_detail/window034.tga
	qer_trans 0.7
	surfaceparm nomarks
	surfaceparm trans
//	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ikarus_detail/window034.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_detail/industrialwindow01
{
	qer_editorimage textures/ikarus_detail/industrialwindow01.tga
	qer_trans 1
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbgen identity
	}
	{
		map textures/ikarus_detail/industrialwindow01.tga
		alphaFunc GE128
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_detail/industrialwindow01-transp
{
	qer_editorimage textures/ikarus_detail/industrialwindow01.tga
	qer_trans 0.7
	surfaceparm nomarks
	surfaceparm trans
//	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/ikarus_detail/industrialwindow01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_sfx/marbleglass
{
	qer_editorimage textures/ikarus_sfx/marbleglass.tga
	qer_trans 0.7
	surfaceparm trans
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ikarus_sfx/marbleglass.tga
		blendFunc blend
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_detail/treadplate0009
{
	qer_editor_image textures/ikarus_detail/treadplate0009.tga
	qer_trans 0.40
	surfaceparm nodamage
	{
		map textures/ikarus_detail/treadplate0009.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



textures/ikarus_sfx/tv
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1500
	qer_editorimage textures/ikarus_sfx/animap_tv01.jpg
	{
		animMap 10 textures/ikarus_sfx/animap_tv01.jpg textures/ikarus_sfx/animap_tv02.jpg textures/ikarus_sfx/animap_tv03.jpg textures/ikarus_sfx/animap_tv04.jpg textures/ikarus_sfx/animap_tv05.jpg textures/ikarus_sfx/animap_tv06.jpg textures/ikarus_sfx/animap_tv07.jpg		
	}
}

textures/ikarus_sfx/lightning01-shader
{
	qer_editorimage textures/ikarus_sfx/lightning01.tga
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		animmap 1 textures/ikarus_sfx/lightning01.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga
		blendfunc blend
	}
	{
		animmap 1 textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning02.tga textures/ikarus_sfx/lightning00.tga	textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga
		blendfunc blend
	}
}

textures/ikarus_sfx/lightning02-shader
{
	qer_editorimage textures/ikarus_sfx/lightning03.tga
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		animmap 1 textures/ikarus_sfx/lightning03.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga	textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga
		blendfunc blend
	}
	{
		animmap 1 textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning04.tga	textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga
		blendfunc blend
	}
}

textures/ikarus_sfx/lightning03-shader
{
	qer_editorimage textures/ikarus_sfx/lightning05.tga
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		animmap 1 textures/ikarus_sfx/lightning05.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga	textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga
		blendfunc blend
	}
	{
		animmap 1 textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga	textures/ikarus_sfx/lightning01.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga textures/ikarus_sfx/lightning00.tga
		blendfunc blend
	}
}


textures/ikarus_sfx/deathfog
{
	qer_editorimage textures/ikarus_sfx/fog.tga
	qer_trans 0.7
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm trans
	q3map_bouncescale 0
	q3map_tessSize 128
	deformVertexes wave 1024 sin 0 5 0.5 0.2

	fogparms ( .1 0 0 ) 1000
	{
		map textures/ikarus_sfx/fog.tga
		rgbGen identity
		blendFunc blend
		tcMod scroll 0.051 0.05
	}
	{
		map textures/ikarus_sfx/fog.tga
		blendFunc blend
		tcMod scroll 0.051 -0.05
	}
}

textures/ikarus_sfx/eye
{
	qer_editorimage textures/ikarus_sfx/eye.tga
	q3map_surfacelight 100
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ikarus_sfx/eye.tga
	        rgbGen identity
		blendfunc GL_ONE GL_ONE
	}
}

textures/ikarus_detail/ivy0062
{
	qer_editorimage textures/ikarus_detail/ivy0062.tga
	q3map_backShader textures/ikarus_detail/ivy0062_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ikarus_detail/ivy0062.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ikarus_detail/ivy0062_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ikarus_detail/ivy0062.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

//Lights from tech1soc_*

textures/ikarus_sfx/lig_064-01r1-2k
{
	qer_editorimage textures/ikarus_sfx/064lig20ra.tga
	q3map_lightimage textures/ikarus_sfx/064lig20r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ikarus_sfx/064lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/064lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ikarus_sfx/lig_064-01b1-2k
{
	qer_editorimage textures/ikarus_sfx/064lig20ba.tga
	q3map_lightimage textures/ikarus_sfx/064lig20b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ikarus_sfx/064lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/064lig20b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ikarus_sfx/lig_064-03r2-2k
{
	qer_editorimage textures/ikarus_sfx/064lig22rb.tga
	q3map_lightimage textures/ikarus_sfx/064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ikarus_sfx/064lig22rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ikarus_sfx/lig_064-02r2-2k
{
	qer_editorimage textures/ikarus_sfx/064lig21rb.tga
	q3map_lightimage textures/ikarus_sfx/064lig21r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ikarus_sfx/064lig21rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/064lig21r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ikarus_sfx/lig_128-03r2-2k
{
	qer_editorimage textures/ikarus_sfx/octlig01rb.tga
	q3map_lightimage textures/ikarus_sfx/sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/octlig01rb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ikarus_sfx/lig_128-03b2-2k
{
	qer_editorimage textures/ikarus_sfx/octlig01bb.tga
	q3map_lightimage textures/ikarus_sfx/sqrlig02b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/octlig01bb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/sqrlig02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ikarus_sfx/lig_128-02r2-2k
{
	qer_editorimage textures/ikarus_sfx/sqrlig03rb.tga
	q3map_lightimage textures/ikarus_sfx/sqrlig03r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/sqrlig03rb.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/sqrlig03r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ikarus_sfx/lig_064z-04b1-2k
{
	qer_editorimage textures/ikarus_sfx/zdetlig04ba.tga
	q3map_lightimage textures/ikarus_sfx/zdetlig04b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ikarus_sfx/zdetlig04ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/zdetlig04b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ikarus_sfx/lig_128-02r3-2k
{
	qer_editorimage textures/ikarus_sfx/sqrlig03rc.tga
	q3map_lightimage textures/ikarus_sfx/sqrlig03r2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/sqrlig03rc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ikarus_sfx/sqrlig03r2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

//**********************************************************************//
// GLASS : 64x64 nose impact designs					//
//**********************************************************************//
//
textures/ikarus_sfx/glass_blue1
{
	qer_editorimage textures/ikarus_sfx/glass_blue1.tga
	qer_trans	0.40
	surfaceparm	alphashadow
	surfaceparm	nomarks
	surfaceparm	trans	
	surfaceparm	playerclip
	surfaceparm	noimpact
	cull none
	{
		map textures/ikarus_sfx/glass_blue1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}

textures/ikarus_sfx/glass_yellow1
{
	qer_editorimage textures/ikarus_sfx/glass_yellow1.tga
	qer_trans	0.40
	surfaceparm	alphashadow
	surfaceparm	nomarks
	surfaceparm	trans	
	surfaceparm	playerclip
	surfaceparm	noimpact
	cull none
	{
		map textures/ikarus_sfx/glass_yellow1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}

textures/ikarus_sfx/glass_red1
{
	qer_editorimage textures/ikarus_sfx/glass_red1.tga
	qer_trans	0.40
	surfaceparm	alphashadow
	surfaceparm	nomarks
	surfaceparm	trans	
	surfaceparm	playerclip
	surfaceparm	noimpact
	cull none
	{
		map textures/ikarus_sfx/glass_red1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}

//===DECALS===



textures/ikarus_sfx/laughing-man
{
	qer_editorimage textures/ikarus_sfx/laughing-man_top.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_sfx/laughing-man_bottom.tga
		tcmod rotate 36
		alphaFunc GE128
	}
	{
		map textures/ikarus_sfx/laughing-man_top.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/ingsoc-decal
{
	qer_editorimage textures/ikarus_decals/ingsoc.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/ingsoc.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/sewer-decal
{
	qer_editorimage textures/ikarus_detail/sewer.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_detail/sewer.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/ikarus_decals/devilish-decal
{
	qer_editorimage textures/ikarus_decals/buuf_devilish.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/buuf_devilish.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/brain-decal
{
	qer_editorimage textures/ikarus_decals/buuf_brain.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/buuf_brain.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graffiti0200_l-decal
{
	qer_editorimage textures/ikarus_decals/graffiti0200_l.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graffiti0200_l.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti01-decal
{
	qer_editorimage textures/ikarus_decals/graphiti01.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti02-decal
{
	qer_editorimage textures/ikarus_decals/graphiti02.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti02.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti03-decal
{
	qer_editorimage textures/ikarus_decals/graphiti03.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti04-decal
{
	qer_editorimage textures/ikarus_decals/graphiti04.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti04.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti05-decal
{
	qer_editorimage textures/ikarus_decals/graphiti05.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti05.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti06-decal
{
	qer_editorimage textures/ikarus_decals/graphiti06.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti06.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graphiti07-decal
{
	qer_editorimage textures/ikarus_decals/graphiti07.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graphiti07.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/graf-decal
{
	qer_editorimage textures/ikarus_decals/graf.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/graf.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/tutorial-decal
{
	qer_editorimage textures/ikarus_decals/tut.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/tut.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/sign_psychotic-decal
{
	qer_editorimage textures/ikarus_decals/sign_psychotic.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/sign_psychotic.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/sign_isolation-decal
{
	qer_editorimage textures/ikarus_decals/sign_isolation.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/sign_isolation.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/sign_neurotic-decal
{
	qer_editorimage textures/ikarus_decals/sign_neurotic.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/sign_neurotic.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/sign_lobotomia-decal
{
	qer_editorimage textures/ikarus_decals/sign_lobotomia.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/sign_lobotomia.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/sign_analysis-decal
{
	qer_editorimage textures/ikarus_decals/sign_analysis.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/sign_analysis.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ikarus_decals/dolkgirl-decal
{
	qer_editorimage textures/ikarus_decals/dolkgirl.tga
	polygonOffset
	sort 6
	{
		map textures/ikarus_decals/dolkgirl.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//rotating decal
textures/ikarus_decals/a
{
	qer_editorimage textures/ikarus_decals/a_rotate.tga
	polygonOffset
	q3map_surfacelight 1200
	sort 6
	{
		map textures/ikarus_decals/a_rotate.tga
		alphaFunc GE128
		tcmod rotate 50
//		blendfunc blend
//		rgbgen vertex
//		tcmod scale 1 1
	}
	{
		map textures/ikarus_decals/a_blend.tga
		alphaFunc GE128		
		blendfunc blend
//		rgbgen vertex
	}
}

//===PHONG SHADING===

textures/ikarus_walls/rockwall-phong
{
        surfaceparm slick
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 91
	qer_editorimage textures/ikarus_walls/blackrock_1.tga
	{
		map textures/ikarus_walls/blackrock_1.tga
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ikarus_misc/metalrail_phong
{
        surfaceparm slick
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 91
	qer_editorimage textures/ikarus_misc/metalrail_phong.tga
	{
		map textures/ikarus_misc/metalrail.jpg
		rgbGen identity
	}

        {
		map textures/ikarus_sfx/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/ikarus_misc/metalrail_phong_noslick
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 91
	qer_editorimage textures/ikarus_misc/metalrail_phong.tga
	{
		map textures/ikarus_misc/metalrail.jpg
		rgbGen identity
	}

        {
		map textures/ikarus_sfx/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

//TERRAIN (thx to sockters tutorial @ http://www.simonoc.com/pages/articles/terrain1_1.htm)

textures/ikarus_terrain/ter_grass
{
	qer_editorimage textures/ikarus_terrain/grass.tga
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 160
//	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 1.0 1.0 0.0 )
	{
		map textures/ikarus_terrain/darkgreengrass.tga
		rgbGen identity
	}
	{
		map textures/ikarus_terrain/mud.tga // Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}

       {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/ikarus_terrain/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ikarus_terrain/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ikarus_terrain/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ikarus_terrain/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ikarus_terrain/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/ikarus_terrain/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

//===SKY===

textures/ikarus_sky/apath0_storm
{
	qer_editorimage env/apath0_storm/storm_ft.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nodamage

//	q3map_surfacelight 80
	q3map_surfacelight 256

        skyparms env/apath0_storm/storm 1024 -
	q3map_lightImage env/apath0_storm/storm_dn.jpg
	q3map_sunExt 0.24 0.22 0.35 75 315 25 3 64

	{
	map textures/ikarus_sky/clouds.tga
	tcMod scale 0.5 0.5
	tcMod scroll 0.0045 -0.0075
	blendfunc filter
	}

}

//===OTHER PEOPLE'S WORK===

// Violent Days by Jockum Skoglund aka hipshot -> zfight.com
textures/ikarus_sky/hip_violent
{
	qer_editorimage env/hip_violent/violentdays_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodamage
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	surfaceparm sky
	q3map_sun 1 1 1 100 315 40
	skyparms env/hip_violent/violentdays - -
}

//NulL's rotating fan from mandolin
textures/ikarus_sfx/nulls_fan_rot_fast
{
	qer_editorimage textures/ikarus_sfx/nulls-tag-fan-blade-fast.tga
	{
		map textures/ikarus_sfx/nulls-tag-fan-blade-fast.tga
		tcmod rotate 800
		blendfunc blend
		rgbgen vertex
	}
}

//Mandolin's Skybox, by NulL
//Base slterra sky (ydnar)
textures/null_beach/sky
{
	qer_editorimage textures/null_beach/sky_arc_masked.tga

	q3map_lightimage textures/common/Orange_250_160_100_m20.tga
	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 1 1 85 185 50 2 16 
				//was 75 intensity changed to 85 5/2/06
				//q3map_sunEXT 1 0.92 0.97 90 180 50 2 16
				//q3map_skylight 125 5
	q3map_skylight 160 5
				// SKYLIGHT WAS 150 PRE 19FEB	
	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nodamage

	
	skyparms textures/null_beach/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/null_beach/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/null_beach/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

//null's neonlight from mandolin

textures/ikarus_light/nulls-cei_strip_light_br
{
	qer_editorimage textures/ikarus_light/nulls-e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 25000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ikarus_light/nulls-e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ikarus_light/nulls-e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

//
// alpha trees pack1 shader
// some simple textures to create distant treelines
// ** add this shader filename to the shaderlist **
// raybanb@gmail.com
//
textures/alpha_trees/dark_treeline_tiling	// mid section of a dark treeline
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/dark_treeline_tiling.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpha_trees/dark_treeline_left	// left-end of a dark treeline
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/dark_treeline_left.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpha_trees/dark_treeline_right	// right-end of a dark treeline
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/dark_treeline_right.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpha_trees/tree1_light	// stand-alone tree, lighter colors
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/tree1_light.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpha_trees/tree1_med	// stand-alone tree, medium colors
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/tree1_med.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpha_trees/tree1_dark	// stand-alone tree, dark colors
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/tree1_dark.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alpha_trees/treeline_mixed	// a mixed treeline, tiling - no ends.
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/alpha_trees/treeline_mixed.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//fence by sweetnuts

textures/ikarus_detail/sw_fence
{
	qer_editor_image textures/ikarus_detail/sw_fence.tga
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm solid
	cull disable
	{
		map textures/ikarus_detail/sw_fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}





//vine found in trak's asylum

textures/ikarus_decals/vine07		//Taken from Sock's Pyramid of the Magician Q3A map
{
	qer_editorimage textures/ikarus_decals/vine07.tga
	q3map_backShader textures/ikarus_decals/vine07_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/ikarus_decals/vine07.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/ikarus_decals/vine07_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/ikarus_decals/vine07.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

// MODELS

//******************************************************//
//	mapobjects/toilet subfolder			//
//******************************************************//

models/mapobjects/qkqtoilet/porcelain
{
	qer_editorimage models/mapobjects/qkqtoilet/porcelain.tga
        {
                map textures/effects/tinfx.tga
                tcGen environment
                rgbGen identity
	}
        {
		map models/mapobjects/qkqtoilet/porcelain.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen vertex
	}
}
models/mapobjects/qkqtoilet/handle
{
	{
		map textures/ikarus_sfx/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/qkqtoilet/handle.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//Happydays plant pot
models/ikarus/happyday/plant/leaf
{
  surfaceparm alphashadow
  cull none
  surfaceparm nonsolid
  surfaceparm nomarks
  nopicmip
  deformVertexes wave 5 sin 0 .3 0 .3
  {
    map models/ikarus/happyday/plant/leaf.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  }
}

//////////////////////////////////////////////////////////////////
// cmm_church
//////////////////////////////////////////////////////////////////
// This shader makes the glass for the wall portion

models/mapobjects/cmm_church/glass
{
	qer_editorimage models/mapobjects/cmm_church/glass.tga
	qer_trans 0.40
	{
		map models/mapobjects/cmm_church/glass.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		depthFunc equal
	}

}
//////////////////////////////////////////////////////////////////
// This is a shader intended for use on the wall (remove the 2)
// and only use if the shading on the model presents a problem
//////////////////////////////////////////////////////////////////
models/mapobjects/cmm_church/churchwall2
{
	qer_editorimage models/mapobjects/cmm_church/churchwall.tga
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/cmm_church/churchwall.tga
		blendFunc filter
	}
}

